Description

As of foreman 1.10.0 the host_status table is not updated with puppet report status if your puppet masters are not official puppet

proxy servers.

https://github.com/theforeman/foreman/blob/1.10-stable/app/models/host_status/configuration_status.rb#L81

This breaks configurations that use foreman as a report backend but do not make use of the foreman proxy code.

Related issues:

Related to Foreman - Bug #11771: Saving host without particular status fails Closed 09/10/2015

Related to Foreman - Bug #13112: N+1 query on hosts#index from last report ob... Closed 01/11/2016

Associated revisions

Revision 8660f934 - 01/11/2016 06:44 AM - Dominic Cleal

fixes #12954 - config status is relevant if reports exist or via setting

For a host that has config management reports, but no Puppet proxy set,

consider the config status relevant.  This helps in an environment with

reports but no proxy, but has the side effect of considering the status

still relevant even if a host has a proxy unset and old reports.

Also add a setting to restore 1.9 behaviour of always showing config

status, so users with no smart proxies will see the "No reports" status

for those hosts without reports.  All hosts without reports will show a

warning state when the setting is enabled.

Test changes prevent setting changes leaking out of unit tests.

Revision dd561749 - 01/19/2016 09:18 AM - Dominic Cleal

fixes #12954 - config status is relevant if reports exist or via setting

For a host that has config management reports, but no Puppet proxy set,

consider the config status relevant.  This helps in an environment with

reports but no proxy, but has the side effect of considering the status

still relevant even if a host has a proxy unset and old reports.

Also add a setting to restore 1.9 behaviour of always showing config

status, so users with no smart proxies will see the "No reports" status

for those hosts without reports.  All hosts without reports will show a

warning state when the setting is enabled.

Test changes prevent setting changes leaking out of unit tests.

(cherry picked from commit 8660f934e6e75c2acaeeacd5d009dabcbd41a326)

History

#1 - 12/31/2015 08:24 AM - Ohad Levy
https://github.com/theforeman/foreman/blob/1.10-stable/app/models/host_status/configuration_status.rb#L81


a really simple workaround would be to change https://github.com/theforeman/foreman/blob/develop/app/models/host/managed.rb#L359 to true

#2 - 01/04/2016 03:27 AM - Dominic Cleal

- Related to Bug #11771: Saving host without particular status fails added

#3 - 01/04/2016 03:27 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#4 - 01/07/2016 05:58 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#5 - 01/07/2016 07:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3028 added

#6 - 01/11/2016 07:03 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8660f934e6e75c2acaeeacd5d009dabcbd41a326.

#7 - 01/11/2016 09:21 AM - Dominic Cleal

- translation missing: en.field_release changed from 104 to 71

#13112 is a regression, moving to 1.11 until resolved - and it may require an internal API change to fix.  Will move it back if it turns out not to.

#8 - 01/11/2016 09:21 AM - Dominic Cleal

- Related to Bug #13112: N+1 query on hosts#index from last report object added

#9 - 01/13/2016 05:36 AM - Dominic Cleal

- translation missing: en.field_release changed from 71 to 104

#10 - 07/04/2016 08:22 AM - rajeev jaggavarapu

- Copied to Support #15571: "Invalid keyfile or passphrase" when saving GCE compute resource added

#11 - 07/04/2016 08:31 AM - Dominic Cleal

- Copied to deleted (Support #15571: "Invalid keyfile or passphrase" when saving GCE compute resource)
